> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Export Agent Preview



## OpenAPI

````yaml get /v1/agents/{agent_id}/export/preview
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{agent_id}/export/preview:
    get:
      tags:
        - V1 - Agents (Co-workers)
      summary: Public Export Agent Preview
      operationId: public_export_agent_preview
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Version Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportPreviewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExportPreviewResponse:
      properties:
        entities:
          items:
            $ref: '#/components/schemas/ExportableReference'
          type: array
          title: Entities
        warnings:
          items:
            $ref: '#/components/schemas/ExportWarning'
          type: array
          title: Warnings
      type: object
      required:
        - entities
        - warnings
      title: ExportPreviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExportableReference:
      properties:
        reference:
          type: string
          title: Reference
        type:
          type: string
          enum:
            - kb
            - workflow
            - assistant
            - file
            - inbox
            - connection
            - secret
            - deployment
          title: Type
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
      type: object
      required:
        - reference
        - type
      title: ExportableReference
    ExportWarning:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        type:
          $ref: '#/components/schemas/ExportWarningType'
        message:
          type: string
          title: Message
      type: object
      required:
        - identifier
        - type
        - message
      title: ExportWarning
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ExportWarningType:
      type: string
      enum:
        - kb_too_large
        - file_too_large
        - entity_not_found
        - entity_access_error
        - export_error
        - triggers_not_exported
        - app_deployment_not_exported
        - secret_found
      title: ExportWarningType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````